From c2db0e83f2e5745276a76c16a82750b9369d6e29 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 01 2020 22:09:19 +0000
Subject: [PATCH 77/2232] Demonstrate that snake case type aliases work


---

diff --git a/demo-cxx/demo.cc b/demo-cxx/demo.cc
index b975e88..e6a5d08 100644
--- a/demo-cxx/demo.cc
+++ b/demo-cxx/demo.cc
@@ -9,7 +9,7 @@ ThingC::ThingC(std::string appname) : appname(std::move(appname)) {}
 
 ThingC::~ThingC() { std::cout << "done with ThingC" << std::endl; }
 
-std::unique_ptr<ThingC> make_demo(rust::Str appname) {
+std::unique_ptr<ThingC> make_demo(rust::str appname) {
   return std::unique_ptr<ThingC>(new ThingC(appname));
 }
 
diff --git a/demo-cxx/demo.h b/demo-cxx/demo.h
index a579986..9a3bcd0 100644
--- a/demo-cxx/demo.h
+++ b/demo-cxx/demo.h
@@ -16,7 +16,7 @@ public:
 
 struct SharedThing;
 
-std::unique_ptr<ThingC> make_demo(rust::Str appname);
+std::unique_ptr<ThingC> make_demo(rust::str appname);
 const std::string &get_name(const ThingC &thing);
 void do_thing(SharedThing state);
 
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 65640df..ecc4488 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -19,12 +19,12 @@ std::unique_ptr<C> c_return_unique_ptr() {
 
 const size_t &c_return_ref(const Shared &shared) { return shared.z; }
 
-rust::Str c_return_str(const Shared &shared) {
+rust::str c_return_str(const Shared &shared) {
   (void)shared;
   return "2020";
 }
 
-rust::String c_return_rust_string() { return "2020"; }
+rust::string c_return_rust_string() { return "2020"; }
 
 std::unique_ptr<std::string> c_return_unique_ptr_string() {
   return std::unique_ptr<std::string>(new std::string("2020"));
@@ -42,7 +42,7 @@ void c_take_shared(Shared shared) {
   }
 }
 
-void c_take_box(rust::Box<R> r) {
+void c_take_box(rust::box<R> r) {
   (void)r;
   cxx_test_suite_set_correct();
 }
@@ -61,13 +61,13 @@ void c_take_ref_c(const C &c) {
   }
 }
 
-void c_take_str(rust::Str s) {
+void c_take_str(rust::str s) {
   if (std::string(s) == "2020") {
     cxx_test_suite_set_correct();
   }
 }
 
-void c_take_rust_string(rust::String s) {
+void c_take_rust_string(rust::string s) {
   if (std::string(s) == "2020") {
     cxx_test_suite_set_correct();
   }
@@ -99,8 +99,8 @@ extern "C" const char *cxx_run_test() noexcept {
   r_take_shared(Shared{2020});
   r_take_unique_ptr(std::unique_ptr<C>(new C{2020}));
   r_take_ref_c(C{2020});
-  r_take_str(rust::Str("2020"));
-  // TODO r_take_rust_string(rust::String("2020"));
+  r_take_str(rust::str("2020"));
+  // TODO r_take_rust_string(rust::string("2020"));
   r_take_unique_ptr_string(
       std::unique_ptr<std::string>(new std::string("2020")));
 
diff --git a/tests/ffi/tests.h b/tests/ffi/tests.h
index f41cc5e..3bb5095 100644
--- a/tests/ffi/tests.h
+++ b/tests/ffi/tests.h
@@ -19,21 +19,21 @@ private:
 
 size_t c_return_primitive();
 Shared c_return_shared();
-rust::Box<R> c_return_box();
+rust::box<R> c_return_box();
 std::unique_ptr<C> c_return_unique_ptr();
 const size_t &c_return_ref(const Shared &shared);
-rust::Str c_return_str(const Shared &shared);
-rust::String c_return_rust_string();
+rust::str c_return_str(const Shared &shared);
+rust::string c_return_rust_string();
 std::unique_ptr<std::string> c_return_unique_ptr_string();
 
 void c_take_primitive(size_t n);
 void c_take_shared(Shared shared);
-void c_take_box(rust::Box<R> r);
+void c_take_box(rust::box<R> r);
 void c_take_unique_ptr(std::unique_ptr<C> c);
 void c_take_ref_r(const R &r);
 void c_take_ref_c(const C &c);
-void c_take_str(rust::Str s);
-void c_take_rust_string(rust::String s);
+void c_take_str(rust::str s);
+void c_take_rust_string(rust::string s);
 void c_take_unique_ptr_string(std::unique_ptr<std::string> s);
 
 } // namespace tests

